package com.bocloud.cmp.model.jumpserver;

import java.util.List;

/**
 * @description:
 * @author: Li Yaohui
 * @since: 2021/5/11 3:44 下午
 */
public class CmdConfigurations {
    /**
     * 复核人ID列表，格式: [1,2]
     */
    List<Long> chkUserIds;
    /**
     * 操作用户ID列表，格式: [ 1, 2, 3]
     */
    List<Long> users;
    /**
     * 操作用户组ID列表， 格式：[1, 2]
     */
    List<Long> operUserGroups;
    /**
     * 是否为全部操作用户，为true时，users和operUserGroups字段不生效。 必填
     */
    Boolean opUserAll;
    /**
     * 访问资产ID列表，格式: [4, 5, 6]
     */
    List<Long> devs;
    /**
     * 访问资产组ID列表，格式: [1, 2]
     */
    List<Long> resGroups;
    /**
     * 是否为全部访问资产，为true时，devs和resGroups字段不生效，对所有资产生效。 必填
     */
    Boolean devAll;
    /**
     * 访问帐号列表，格式： [ "root", "www" ]
     */
    List<String> accounts;
    /**
     * 是否为全部帐号，为true时，可以不传accounts字段。 必填
     */
    Boolean accountAll;
    /**
     * 对当前访问资源取反。
     */
    Boolean reverseDevs;
    /**
     * 对当前访问用户取反。
     */
    Boolean reverseUsers;
    /**
     * 对当前访问帐号取反。
     */
    Boolean reverseAccounts;
    /**
     * 操作用户是否包含临时用户。
     */
    Boolean opTempUserAll;

    public void setChkUserIds(List<Long> chkUserIds) {
        this.chkUserIds = chkUserIds;
    }

    public List<Long> getChkUserIds() {
        return chkUserIds;
    }

    public void setUsers(List<Long> users) {
        this.users = users;
    }

    public List<Long> getUsers() {
        return users;
    }

    public void setOperUserGroups(List<Long> operUserGroups) {
        this.operUserGroups = operUserGroups;
    }

    public List<Long> getOperUserGroups() {
        return operUserGroups;
    }

    public void setOpUserAll(Boolean opUserAll) {
        this.opUserAll = opUserAll;
    }

    public Boolean getOpUserAll() {
        return opUserAll;
    }

    public void setDevs(List<Long> devs) {
        this.devs = devs;
    }

    public List<Long> getDevs() {
        return devs;
    }

    public void setResGroups(List<Long> resGroups) {
        this.resGroups = resGroups;
    }

    public List<Long> getResGroups() {
        return resGroups;
    }

    public void setDevAll(Boolean devAll) {
        this.devAll = devAll;
    }

    public Boolean getDevAll() {
        return devAll;
    }

    public void setAccounts(List<String> accounts) {
        this.accounts = accounts;
    }

    public List<String> getAccounts() {
        return accounts;
    }

    public void setAccountAll(Boolean accountAll) {
        this.accountAll = accountAll;
    }

    public Boolean getAccountAll() {
        return accountAll;
    }

    public void setReverseDevs(Boolean reverseDevs) {
        this.reverseDevs = reverseDevs;
    }

    public Boolean getReverseDevs() {
        return reverseDevs;
    }

    public void setReverseUsers(Boolean reverseUsers) {
        this.reverseUsers = reverseUsers;
    }

    public Boolean getReverseUsers() {
        return reverseUsers;
    }

    public void setReverseAccounts(Boolean reverseAccounts) {
        this.reverseAccounts = reverseAccounts;
    }

    public Boolean getReverseAccounts() {
        return reverseAccounts;
    }

    public void setOpTempUserAll(Boolean opTempUserAll) {
        this.opTempUserAll = opTempUserAll;
    }

    public Boolean getOpTempUserAll() {
        return opTempUserAll;
    }
}
